%define tarname Paste
%define module  paste

Name:           python-%{module}
Version:        2.0.2
Release:        %mkrel 1
Summary:        Tools for using a Web Server Gateway Interface stack
Group:          Development/Python
License:        MIT
URL:            http://pythonpaste.org
Source0:        http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(sphinx)

Requires:       python-pkg-resources

%description
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.

%files 
%doc html/
%{python2_sitelib}/paste
%{python2_sitelib}/Paste-%version-py?.?.egg-info
%{python2_sitelib}/Paste-%version-py?.?-nspkg.pth

#--------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Tools for using a Web Server Gateway Interface stack
Group:          Development/Python
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(sphinx)

Requires:       python3-pkg-resources

%description -n python3-%{module}
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.
This is the Python 3 build of %{module}.

%files -n python3-%{module}
%doc html/
%{python3_sitelib}/paste
%{python3_sitelib}/Paste-%version-py?.?.egg-info
%{python3_sitelib}/Paste-%version-py?.?-nspkg.pth

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}
%{__sed} -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

# Remove bundled egg-info
rm -rf %{tarname}.egg-info

%build
%py2_build
%py3_build

sphinx-build -b html docs html
rm -f html/.buildinfo

%install
%py2_install
%py3_install


%changelog
* Fri Dec 18 2015 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 911557
- new version: 2.0.2
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.7.5.1-10.mga5
+ Revision: 742879
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.5.1-9.mga5
+ Revision: 729311
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.5.1-8.mga5
+ Revision: 688205
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.7.5.1-6.mga4
+ Revision: 545015
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7.5.1-5.mga4
+ Revision: 500607
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.7.5.1-4.mga3
+ Revision: 379248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.7.5.1-3.mga3
+ Revision: 313536
- imported package python-paste


* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 1.7.5.1-3mdv2011.0
+ Revision: 649508
- Fix group.
- Build docs properly.
  Require pkg_resources.

* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 1.7.5.1-2mdv2011.0
+ Revision: 591770
- Rebuild

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.5.1-1mdv2011.0
+ Revision: 587726
- update to new version 1.7.5.1

* Tue Sep 14 2010 Crispin Boylan <crisb@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 578207
- 1.7.4
- New release

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.7.2-3mdv2010.0
+ Revision: 442336
- rebuild

* Fri Dec 26 2008 Crispin Boylan <crisb@mandriva.org> 1.7.2-2mdv2009.1
+ Revision: 319379
- Rebuild for python2.6

* Thu Dec 04 2008 Crispin Boylan <crisb@mandriva.org> 1.7.2-1mdv2009.1
+ Revision: 309938
- Correct group
- Initial mdv package
- create python-paste

